## tdemultimedia-trinity 14.1.5

=== arts/CMakeLists.txt ===
#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( builder )
add_subdirectory( examples )
add_subdirectory( gui )
add_subdirectory( midi )
add_subdirectory( modules )
add_subdirectory( runtime )
add_subdirectory( tools )

=== audiofile_artsplugin/CMakeLists.txt ===
#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${ARTS_INCLUDE_DIRS}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${ARTS_LIBRARY_DIRS}
)


##### arts_audiofile (library) ##################

tde_add_library( arts_audiofile SHARED AUTOMOC
  SOURCES
    audiofilearts.cpp audiofilePlayObjectI.cpp
  VERSION 0.0.0
  LINK
    mcop kmedia2_idl soundserver_idl artsflow artsflow_idl ${AUDIOFILE_LIBRARIES}
  DESTINATION ${LIB_INSTALL_DIR}
)

add_custom_command(
  OUTPUT
    audiofilearts.cpp audiofilearts.h
    audiofilearts.mcoptype audiofilearts.mcopclass
  COMMAND ${ARTS_MCOPIDL_EXECUTABLE} -t
    -I${ARTS_INCLUDEDIR} ${CMAKE_CURRENT_SOURCE_DIR}/audiofilearts.idl
  DEPENDS audiofilearts.idl
)


##### other data ################################

install(
  FILES
    ${CMAKE_CURRENT_BINARY_DIR}/audiofilearts.mcoptype
    ${CMAKE_CURRENT_BINARY_DIR}/audiofilearts.mcopclass
  DESTINATION ${LIB_INSTALL_DIR}/mcop
)

install(
  FILES
    audiofilePlayObject.mcopclass
  DESTINATION ${LIB_INSTALL_DIR}/mcop/Arts
)

=== kappfinder-data/CMakeLists.txt ===
#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

file( GLOB _multimedia_desktops RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.desktop )
list( SORT _multimedia_desktops )

tde_create_translated_desktop(
  SOURCE ${_multimedia_desktops}
  DESTINATION ${DATA_INSTALL_DIR}/kappfinder/apps/Multimedia
  PO_DIR kappfinder-data
)

tde_create_translated_desktop(
  SOURCE tde-multimedia-music.directory
  DESTINATION ${XDG_DIRECTORY_INSTALL_DIR}
  PO_DIR kappfinder-data
)

install(
  FILES tde-multimedia-music.menu
  DESTINATION ${XDG_MENU_INSTALL_DIR}/applications-merged
)

=== kmix/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( pics )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kmix.desktop
  PO_DIR kmix-desktops
)

install(
  FILES ${CMAKE_CURRENT_BINARY_DIR}/kmix.desktop
  DESTINATION ${AUTOSTART_INSTALL_DIR}
)

install( FILES kmixui.rc DESTINATION ${DATA_INSTALL_DIR}/kmix )

tde_create_translated_desktop(
  SOURCE restore_kmix_volumes.desktop
  DESTINATION ${AUTOSTART_INSTALL_DIR}
  PO_DIR kmix-desktops
)

tde_create_translated_desktop(
  SOURCE kmixapplet.desktop
  DESTINATION ${DATA_INSTALL_DIR}/kicker/applets
  PO_DIR kmix-desktops
)

tde_create_translated_desktop(
  SOURCE kmixctrl_restore.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR kmix-desktops
)

##### experimental/unmaintained features ########

unset( SOURCES_EXPERIMENTAL )
if( WITH_KMIX_EXPERIMENTAL )
    set( SOURCES_EXPERIMENTAL experimental.ui viewsurround.cpp )
endif( WITH_KMIX_EXPERIMENTAL )


##### kmix_panelapplet (module) #################

tde_add_kpart( kmix_panelapplet AUTOMOC
  SOURCES
    kmixapplet.cpp viewbase.cpp viewapplet.cpp mixdevicewidget.cpp
    mdwslider.cpp mixer.cpp mixset.cpp mixdevice.cpp
    mixer_backend.cpp ksmallslider.cpp volume.cpp kledbutton.cpp
    verticaltext.cpp mixerIface.skel colorwidget.ui
    dialogviewconfiguration.cpp kmixtoolbox.cpp mixertoolbox.cpp
    dialogselectmaster.cpp kmixsettings.kcfgc
  LINK tdeui-shared ${ALSA_LIBRARIES}
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kmix (tdeinit) ############################

tde_add_tdeinit_executable( kmix AUTOMOC
  SOURCES
    main.cpp kmix.cpp kmixdockwidget.cpp
    viewbase.cpp viewoutput.cpp viewinput.cpp viewswitches.cpp
    viewdockareapopup.cpp viewsliders.cpp mixdevicewidget.cpp mdwslider.cpp
    mdwswitch.cpp mdwenum.cpp kmixerwidget.cpp mixer.cpp
    mixset.cpp mixdevice.cpp mixer_backend.cpp ksmallslider.cpp
    volume.cpp kledbutton.cpp verticaltext.cpp mixerIface.skel
    kmixtoolbox.cpp mixertoolbox.cpp dialogviewconfiguration.cpp
    KMixApp.cpp dialogselectmaster.cpp kmixIface.skel kmixsettings.kcfgc
    appearanceconfig.ui behaviorconfig.ui
    ${SOURCES_EXPERIMENTAL}
  LINK tdeui-shared ${ALSA_LIBRARIES}
)


##### kmixctrl (tdeinit) ########################

tde_add_tdeinit_executable( kmixctrl AUTOMOC
  SOURCES
    kmixctrl.cpp mixer.cpp mixset.cpp mixdevice.cpp
    volume.cpp mixerIface.skel mixertoolbox.cpp
    mixer_backend.cpp kmixsettings.kcfgc
  LINK tdecore-shared ${ALSA_LIBRARIES}
)

=== kscd/CMakeLists.txt ===
#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include( ConfigureChecks.cmake )

add_subdirectory( libwm )
tde_install_icons( cdsmall DESTINATION ${DATA_INSTALL_DIR}/kscd/icons )
tde_install_icons( kscd )

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/libkcddb
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${ARTSC_LIBRARY_DIRS}
)


##### kcompactdisc (library) ####################

tde_add_library( kcompactdisc STATIC_PIC AUTOMOC
  SOURCES kcompactdisc.cpp
)


##### kscd (executable) #########################

tde_add_executable( kscd AUTOMOC
  SOURCES
    panel.ui kscd.cpp kscd.skel ledlamp.cpp
    docking.cpp bwlednum.cpp
    configWidget.cpp configWidgetUI.ui prefs.kcfgc cddbdlg.cpp
  LINK
    DCOP-shared tdecore-shared tdeui-shared tdefx-shared
    tdeio-shared tdeutils-shared tdetexteditor-shared
    kcddb-shared kcompactdisc-static workman-static
    ${CDROM_LIBRARIRES} ${CDAUDIO_LIBRARIES} ${FPE_LIBRARIES}
    ${ALSA_LIBRARIES}
  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data ################################

install( PROGRAMS workman2cddb.pl DESTINATION ${BIN_INSTALL_DIR} )

tde_create_translated_desktop(
  SOURCE kscd.desktop
  PO_DIR kscd-desktops
)

tde_create_translated_desktop(
  SOURCE xmcd.desktop
  DESTINATION ${MIME_INSTALL_DIR}/text
  PO_DIR kscd-desktops
)

install( FILES kscd.kcfg DESTINATION ${KCFG_INSTALL_DIR} )

install( FILES kscd.profile.xml DESTINATION ${DATA_INSTALL_DIR}/profiles )

tde_create_translated_desktop(
  SOURCE audiocd_play.desktop
  DESTINATION ${DATA_INSTALL_DIR}/konqueror/servicemenus
  PO_DIR kscd-desktops
)

=== libkcddb/CMakeLists.txt ===
#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( kcmcddb )
add_subdirectory( test )

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kcddb (library) ###########################

tde_add_library( kcddb SHARED AUTOMOC
  SOURCES
    cache.cpp cdinfo.cpp config.cpp client.cpp cddb.cpp lookup.cpp
    cddbplookup.cpp synccddbplookup.cpp asynccddbplookup.cpp httplookup.cpp
    synchttplookup.cpp asynchttplookup.cpp smtpsubmit.cpp
    asyncsmtpsubmit.cpp syncsmtpsubmit.cpp configbase.kcfgc
    submit.cpp sites.cpp httpsubmit.cpp asynchttpsubmit.cpp
    synchttpsubmit.cpp cdinfodialogbase.ui categories.cpp genres.cpp
    cdinfoencodingwidget.cpp cdinfoencodingwidgetbase.ui
  VERSION 1.0.0
  LINK
    tdecore-shared tdeio-shared tdeui-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### other data ################################

install(
  FILES
    cache.h cdinfo.h client.h config.h cddb.h
    ${CMAKE_CURRENT_BINARY_DIR}/configbase.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/libkcddb
)

install(FILES libkcddb.kcfg DESTINATION ${KCFG_INSTALL_DIR} )

=== noatun/CMakeLists.txt ===
#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( app )
add_subdirectory( library )
add_subdirectory( modules )
add_subdirectory( pics )
tde_install_icons( )


include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/library
  ${CMAKE_BINARY_DIR}
  ${ARTS_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}/tdeio
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### noatun20update (executable) ###############

tde_add_executable( noatun20update
  SOURCES
    noatun20update.cpp
  LINK
    DCOP-shared tdecore-shared tdeui-shared tdefx-shared
    tdeio-shared tdetexteditor-shared
  DESTINATION ${LIB_INSTALL_DIR}/tdeconf_update_bin
)


##### api #######################################

add_custom_target( noatun.api
  COMMAND ${CMAKE_COMMAND} -E make_directory
    ${CMAKE_CURRENT_BINARY_DIR}/apidocs/libnoatun
  COMMAND ${CMAKE_COMMAND} -E create_symlink
    ${TDE_HTML_DIR}/en/common
    ${CMAKE_CURRENT_BINARY_DIR}/apidocs/common
  COMMAND doxygen ${CMAKE_CURRENT_SOURCE_DIR}/noatun.api
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE noatun.desktop
  PO_DIR noatun-desktops
)

install( FILES noatun.upd DESTINATION ${DATA_INSTALL_DIR}/tdeconf_update )

install(
  FILES
    preset.dance preset.jazz preset.metal preset.trance preset.zero
  DESTINATION ${DATA_INSTALL_DIR}/noatun/eq.preset
)

=== oggvorbis_artsplugin/CMakeLists.txt ===
#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${ARTS_INCLUDE_DIRS}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${ARTS_LIBRARY_DIRS}
)


##### liboggarts (module) #######################

tde_add_kpart( liboggarts AUTOMOC
  SOURCES
    oggarts.cpp oggPlayObject_impl.cpp
  VERSION 0.0.0
  LINK
    mcop kmedia2_idl soundserver_idl artsflow artsflow_idl ${ARTS_LIBRARIES}
    ${VORBIS_LIBRARIES} ${VORBISFILE_LIBRARIES}
  DESTINATION ${LIB_INSTALL_DIR}
)

add_custom_command(
  OUTPUT
    oggarts.cpp oggarts.h
    oggarts.mcoptype oggarts.mcopclass
  COMMAND ${ARTS_MCOPIDL_EXECUTABLE} -t
    -I${ARTS_INCLUDEDIR} ${CMAKE_CURRENT_SOURCE_DIR}/oggarts.idl
  DEPENDS oggarts.idl
)


##### other data ################################

install(
  FILES
    ${CMAKE_CURRENT_BINARY_DIR}/oggarts.mcoptype
    ${CMAKE_CURRENT_BINARY_DIR}/oggarts.mcopclass
  DESTINATION ${LIB_INSTALL_DIR}/mcop
)

install(
  FILES
    oggPlayObject.mcopclass
  DESTINATION ${LIB_INSTALL_DIR}/mcop/Arts
)

=== tdeioslave/CMakeLists.txt ===
#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

if( WITH_CDPARANOIA )
  if( NOT BUILD_KSCD )
    tde_message_fatal( "tdeioslave-audiocd can not be built without building kscd" )
  endif( )
  add_subdirectory( audiocd )
endif( WITH_CDPARANOIA )

=== tdemid/CMakeLists.txt ===
#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( examples )
add_subdirectory( maps )
add_subdirectory( pics )
tde_install_icons( tdemid )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### tdemidlib (library) #######################

tde_add_library( tdemidlib SHARED AUTOMOC
  SOURCES
    tdemidframe.cpp tdemidclient.cpp kdisptext.cpp
    qslidertime.cpp klcdnumber.cpp ktrianglebutton.cpp
    midicfgdlg.cpp collectdlg.cpp randomlist.cpp
    channelview.cpp channel.cpp channel3d.cpp channel4d.cpp
    channelcfgdlg.cpp instrname.cpp rhythmview.cpp
    songlist.cpp slman.cpp tdemid_part.cpp tdemidIface.skel
  VERSION 0.0.0
  LINK
    DCOP-shared tdecore-shared tdeparts-shared tdeio-shared tdeui-shared tdemid-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### libtdemidpart (module) ####################

tde_add_kpart( libtdemidpart AUTOMOC
  SOURCES
    ${CMAKE_CURRENT_BINARY_DIR}/part_dummy.cpp
  EMBED
    tdemidlib-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

configure_file( ${TDE_CMAKE_TEMPLATES}/tde_dummy_cpp.cmake part_dummy.cpp COPYONLY )


##### tdemid (executable) #######################

tde_add_executable( tdemid AUTOMOC
  SOURCES
    main.cpp
  LINK
    DCOP-shared tdecore-shared tdeui-shared tdefx-shared tdeio-shared tdetexteditor-shared
    tdemidlib-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### instrname.i18n (localization template) ####

add_custom_target( instrname.i18n
  COMMAND echo "/* This is an automatically generated file" > instrname.i18n
  COMMAND echo " * DO NOT EDIT !!!" >> instrname.i18n
  COMMAND echo " * To create this file run : make instrname.i18n " >> instrname.i18n
  COMMAND echo " */" >> instrname.i18n
  COMMAND echo "" >> instrname.i18n
  COMMAND awk -f instrfilter.awk instrname.cpp >> instrname.i18n
  DEPENDS instrname.cpp
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE tdemid.desktop
  PO_DIR tdemid-desktops
)

tde_create_translated_desktop(
  SOURCE x-karaoke.desktop
  DESTINATION ${MIME_INSTALL_DIR}/audio
  PO_DIR tdemid-desktops
)

install( FILES tdemidui.rc DESTINATION ${DATA_INSTALL_DIR}/tdemid )
install( FILES tdemid_partui.rc DESTINATION ${DATA_INSTALL_DIR}/tdemid )
install( FILES audiomidi.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR} )
install( FILES std.sb drums.sb std.o3 drums.o3 DESTINATION ${DATA_INSTALL_DIR}/tdemid/fm )
install( FILES keyboard.xpm button1.xpm button2.xpm DESTINATION ${DATA_INSTALL_DIR}/tdemid/icons )

=== arts/builder/CMakeLists.txt ===
#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( pics )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/arts/runtime
  ${CMAKE_BINARY_DIR}/arts/runtime
  ${CMAKE_BINARY_DIR}
  ${ARTS_INCLUDE_DIRS}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${ARTS_LIBRARY_DIRS}
)


##### artsbuilder (executable) ##################

tde_add_executable( artsbuilder AUTOMOC
  SOURCES
    autorouter.cpp main.cpp propertypanelbase.ui
    module.cpp propertypanel.cpp structure.cpp
    retrievedlg.cpp createtool.cpp structureport.cpp
    drawutils.cpp scomponent.cpp portposdlg.cpp
    menumaker.cpp session.cpp dirmanager.cpp mwidget.cpp
    execdlg.cpp qttableview.cpp interfacedlg.cpp
  LINK
    tdecore-shared tdeui-shared tdeio-shared artsbuilder-shared artskde-shared
    mcop qtmcop artsflow_idl soundserver_idl ${CMAKE_THREAD_LIBS_INIT}
  DEPENDENCIES
    arts_builder_headers
  DESTINATION ${BIN_INSTALL_DIR}
)

add_custom_target(
  arts_builder_headers
  DEPENDS
    ${CMAKE_CURRENT_BINARY_DIR}/propertypanelbase.h
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE artsbuilder.desktop
  PO_DIR artsbuilder-desktops
)

tde_create_translated_desktop(
  SOURCE x-artsbuilder.desktop
  DESTINATION ${MIME_INSTALL_DIR}/application
  PO_DIR artsbuilder-desktops
)

install( FILES artsbuilderui.rc DESTINATION ${DATA_INSTALL_DIR}/artsbuilder )

=== arts/midi/CMakeLists.txt ===
#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( mcopclass )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/arts/runtime
  ${CMAKE_BINARY_DIR}
  ${ARTS_INCLUDE_DIRS}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${ARTS_LIBRARY_DIRS}
)


##### artsmidi (library) ########################

tde_add_library( artsmidi_idl SHARED
  SOURCES artsmidi.cpp
  VERSION 0.0.0
  LINK ${ARTS_LIBRARIES} ${GLIB2_LIBRARIES} ${GTHREAD2_LIBRARIES} mcop artsflow artsflow_idl
  DESTINATION ${LIB_INSTALL_DIR}
)

tde_add_library( artsmidi SHARED
  SOURCES
    midimanager_impl.cpp midiclient_impl.cpp
    miditest_impl.cpp midimanagerport_impl.cpp rawmidiport_impl.cpp
    systemmiditimer_impl.cpp audiomiditimer_impl.cpp miditimercommon.cpp
    audiosync_impl.cpp audiotimer.cpp alsamidigateway_impl.cpp
    alsamidiport_impl.cpp midisyncgroup_impl.cpp timestampmath.cpp
  VERSION 0.0.0
  LINK
    artsmidi_idl-shared
  DESTINATION ${LIB_INSTALL_DIR}
)

add_custom_command(
  OUTPUT
    artsmidi.cpp artsmidi.h
    artsmidi.mcopclass artsmidi.mcoptype
  COMMAND ${ARTS_MCOPIDL_EXECUTABLE} -t
    -I${ARTS_INCLUDEDIR} ${CMAKE_CURRENT_SOURCE_DIR}/artsmidi.idl
  DEPENDS artsmidi.idl
)


##### midisend (executable) #####################

tde_add_executable( midisend
  SOURCES midisend.cpp midimsg.c
  LINK artsmidi_idl-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

tde_add_check_executable( midisynctest
  SOURCES midisynctest.cpp
  LINK artsmidi-shared soundserver_idl
)


##### other data ################################

install(
  FILES
    artsmidi.idl
    ${CMAKE_CURRENT_BINARY_DIR}/artsmidi.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/arts
)

install(
  FILES
    ${CMAKE_CURRENT_BINARY_DIR}/artsmidi.mcoptype
    ${CMAKE_CURRENT_BINARY_DIR}/artsmidi.mcopclass
  DESTINATION ${LIB_INSTALL_DIR}/mcop
)

=== debian/changelog ===
tdemultimedia-trinity (4:14.1.5-1romtmmedia) universal; urgency=low

  * Applying kmix-UpdMixersForChange.patch
  * Applying xineThumbnail_disableAudio_CorrectHUE.patch
  * Removing dependency from libarts1-xine-trinity in tdemultimedia-trinity
    of the file control.

 -- Roman Savochenko <roman@oscada.org>  Sat, 08 Nov 2025 20:00:00 +0200

tdemultimedia-trinity (4:14.1.5-0debian13.0.0+0) trixie; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdemultimedia

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
Source: tdemultimedia-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Fathi Boudra <fboudra@free.fr>, Sune Vuorela <debian@pusling.com>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, cdparanoia, libcdparanoia0-dev, libflac-dev (>= 1.1.4-1), libgstreamer-plugins-base1.0-dev | libgstreamer-plugins-base0.10-dev, libsamplerate0-dev, libspeex-dev (>> 1.1.5), libtag1-dev (>> 1.3.1), libtheora-dev, libxine2-dev | libxine-dev, libxxf86dga-dev, libxv-dev, libxxf86vm-dev, libakode-dev, libogg-dev
Standards-Version: 3.8.4

Package: tdemultimedia-trinity
Section: tde
Architecture: all
Replaces: kdemultimedia-trinity (<< 4:14.0.0~)
Breaks: kdemultimedia-trinity (<< 4:14.0.0~)
Depends: artsbuilder-trinity (>= ${source:Version}), juk-trinity (>= ${source:Version}), kaboodle-trinity (>= ${source:Version}), kaudiocreator-trinity (>= ${source:Version}), tdemultimedia-kappfinder-data-trinity (>= ${source:Version}), tdemultimedia-tdefile-plugins-trinity (>= ${source:Version}), tdemultimedia-tdeio-plugins-trinity (>= ${source:Version}), tdemid-trinity (>= ${source:Version}), kmix-trinity (>= ${source:Version}), krec-trinity (>= ${source:Version}), kscd-trinity (>= ${source:Version}), libarts1-akode-trinity (>= ${source:Version}), libarts1-audiofile-trinity (>= ${source:Version}), libarts1-mpeglib-trinity (>= ${source:Version}), mpeglib-trinity (>= ${source:Version}), noatun-trinity (>= ${source:Version})
Suggests: tdemultimedia-trinity-doc-html (>= ${source:Version})
Description: multimedia apps from the official Trinity release 
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of multimedia applications
 (such as sound and movie player, mixers and plugins) provided with
 the official release of TDE.
 .
 Homepage: http://www.kde.org/areas/multimedia

Package: tdemultimedia-trinity-dev
Section: devel
Architecture: any
Replaces: kdemultimedia-trinity-dev (<< 4:14.0.0~)
Breaks: kdemultimedia-trinity-dev (<< 4:14.0.0~)
Depends: tdelibs14-trinity-dev, artsbuilder-trinity (= ${source:Version}), tdemultimedia-tdeio-plugins-trinity (= ${source:Version}), tdemid-trinity (= ${source:Version}), kmix-trinity (= ${source:Version}), krec-trinity (= ${source:Version}), kscd-trinity (= ${source:Version}), libarts1-akode-trinity (= ${source:Version}), libarts1-mpeglib-trinity (= ${source:Version}), libkcddb1-trinity (= ${source:Version}), mpeglib-trinity (= ${source:Version}), noatun-trinity (= ${source:Version})
Conflicts: libmpeg-trinity-dev
Description: development files for the Trinity multimedia module
 Development files and headers for the Trinity multimedia module.
 .
 This package is part of TDE, as a component of the TDE multimedia module.
 See the 'tde-trinity' and 'tdemultimedia-trinity' packages for more information.

Package: tdemultimedia-trinity-doc-html
Architecture: all
Section: doc
Replaces: kdemultimedia-trinity-doc-html (<< 4:14.0.0~)
Breaks: kdemultimedia-trinity-doc-html (<< 4:14.0.0~)
Suggests: konqueror-trinity | www-browser, tdebase-trinity
Description: Trinity multimedia documentation in HTML format
 By default the modules provided by TDE only provide their documentation
 in TDE docbook format, which can only be read by Konqueror or KHelpCenter.
 This package provides all of the TDE multimedia documentation converted to
 HTML format so it can be read with any web browser.
 .
 The documentation will be installed into the usual directories
 /opt/trinity/share/doc/tde/HTML/<language>/<app>/, for instance
 /opt/trinity/share/doc/tde/HTML/en/juk/. Documentation is provided for most
 TDE multimedia packages.
 .
 This package is part of Trinity, and a component of the TDE multimedia module.
 See the 'tde-trinity' and 'tdemultimedia-trinity' packages for more information.

Package: artsbuilder-trinity
Section: sound
Architecture: any
Replaces: artsbuilder-trinity (<< 4:14.0.0~)
Breaks: artsbuilder-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: synthesizer designer for aRts
 This is the analog Realtime synthesizer's graphical design tool.
 .
 This package is part of Trinity, as a component of the TDE multimedia module.
 See the 'tde-trinity' and 'tdemultimedia-trinity' packages for more information.

Package: juk-trinity
Section: tde
Architecture: any
Replaces: juk-trinity (<< 4:14.0.0~)
Breaks: juk-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: music organizer and player for Trinity
 JuK (pronounced "jook") is a jukebox and music manager for the TDE
 desktop similar to jukebox software on other platforms such as
 iTunes or RealOne.
 .
 Some of JuK's features include:
  * Support for Ogg Vorbis and MP3 formats
  * Tag editing support for both formats, including ID3v2 for MP3 files.
    Multitagging or editing a selection of multiple files at once is also
    supported
  * Output to either the aRts, default TDE sound system, or GStreamer
  * Management of your "collection" and multiple playlists
  * Import and export to m3u playlists
  * Binary caching of audio meta-data and playlist information for faster
    load times (starting with the second time you run JuK)
  * Integration into TDE that allows drag-and-drop and clipboard usage
    with other TDE and X apps
 .
 This package is part of Trinity, as a component of the TDE multimedia module.
 See the 'tde-trinity' and 'tdemultimedia-trinity' packages for more information.

Package: kaboodle-trinity
Section: sound
Architecture: any
Replaces: kaboodle-trinity (<< 4:14.0.0~)
Breaks: kaboodle-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: libarts1-xine-trinity
Suggests: khelpcenter-trinity
Description: light, embedded media player for Trinity
 Kaboodle is a light, embedded media player, supporting both video and audio,
 for TDE. It uses the aRts framework for playing media files.
 .
 This package is part of Trinity, as a component of the TDE multimedia module.
 See the 'tde-trinity' and 'tdemultimedia-trinity' packages for more information.

Package: kaudiocreator-trinity
Section: sound
Architecture: any
Replaces: kaudiocreator-trinity (<< 4:14.0.0~)
Breaks: kaudiocreator-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, tdemultimedia-tdeio-plugins-trinity (= ${source:Version})
Recommends: vorbis-tools, flac
Suggests: lame
Description: CD ripper and audio encoder frontend for Trinity
 KAudioCreator is a tool for audio extraction (ripping) and encoding. It can
 keep your WAV files, or convert them to Ogg/Vorbis, MP3, or FLAC. It also
 searches CDDB to retrieve the information of the disk.
 .
 This package is part of Trinity, as a component of the TDE multimedia module.
 See the 'tde-trinity' and 'tdemultimedia-trinity' packages for more information.

Package: tdemultimedia-tdefile-plugins-trinity
Section: tde
Architecture: any
Replaces: kdemultimedia-kfile-plugins-trinity (<< 4:14.0.0~)
Breaks: kdemultimedia-kfile-plugins-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: au/avi/m3u/mp3/ogg/wav plugins for tdefile
 au/avi/m3u/mp3/ogg/wav file metainformation plugins for Trinity.
 .
 This package is part of Trinity, as a component of the TDE multimedia module.
 See the 'tde-trinity' and 'tdemultimedia-trinity' packages for more information.

Package: tdemultimedia-kappfinder-data-trinity
Section: tde
Architecture: any
Replaces: kdemultimedia-kappfinder-data-trinity (<< 4:14.0.0~)
Breaks: kdemultimedia-kappfinder-data-trinity (<< 4:14.0.0~)
Depends: kappfinder-trinity
Description: multimedia data for kappfinder-trinity
 This package provides data on multimedia applications for kappfinder-trinity.
 .
 This package is part of Trinity, as a component of the TDE multimedia module.
 See the 'tde-trinity' and 'tdemultimedia-trinity' packages for more information.

Package: tdemultimedia-tdeio-plugins-trinity
Section: tde
Architecture: any
Replaces: kdemultimedia-kio-plugins-trinity (<< 4:14.0.0~)
Breaks: kdemultimedia-kio-plugins-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: lame
Description: enables the browsing of audio CDs under Konqueror
 This package allow audio CDs to be browsed like a file system using
 Konqueror and the audiocd:/ URL.
 .
 This package is part of Trinity, as a component of the TDE multimedia module.
 See the 'tde-trinity' and 'tdemultimedia-trinity' packages for more information.

Package: tdemid-trinity
Section: sound
Architecture: any
Replaces: kmid-trinity (<< 4:14.0.0~)
Breaks: kmid-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: MIDI/karaoke player for Trinity
 This package provides a MIDI and karaoke player for TDE.
 .
 This package is part of Trinity, as a component of the TDE multimedia module.
 See the 'tde-trinity' and 'tdemultimedia-trinity' packages for more information.

Package: kmix-trinity
Section: sound
Architecture: any
Replaces: kmix-trinity (<< 4:14.0.0~)
Breaks: kmix-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Provides: x-audio-mixer
Description: sound mixer applet for Trinity
 This package includes TDE's dockable sound mixer applet.
 .
 This package is part of Trinity, as a component of the TDE multimedia module.
 See the 'tde-trinity' and 'tdemultimedia-trinity' packages for more information.

Package: krec-trinity
Section: sound
Architecture: any
Replaces: krec-trinity (<< 4:14.0.0~)
Breaks: krec-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: sound recorder utility for Trinity
 This is a sound recording utility for Trinity.
 .
 This package is part of Trinity, as a component of the TDE multimedia module.
 See the 'tde-trinity' and 'tdemultimedia-trinity' packages for more information.

Package: kscd-trinity
Section: sound
Architecture: any
Replaces: kscd-trinity (<< 4:14.0.0~)
Breaks: kscd-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter
Description: audio CD player for Trinity
 This is Trinity's audio CD player.
 .
 This package is part of Trinity, as a component of the TDE multimedia module.
 See the 'tde-trinity' and 'tdemultimedia-trinity' packages for more information.

Package: libarts1-akode-trinity
Section: libs
Architecture: any
Replaces: libarts1-akode-trinity (<< 4:14.0.0~)
Breaks: libarts1-akode-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: akode plugin for aRts
 This package contains akode plugins for aRts.
 .
 This package is part of Trinity, as a component of the TDE multimedia module.
 See the 'tde-trinity' and 'tdemultimedia-trinity' packages for more information

Package: libarts1-audiofile-trinity
Section: libs
Architecture: any
Replaces: libarts1-audiofile-trinity (<< 4:14.0.0~)
Breaks: libarts1-audiofile-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: audiofile plugin for aRts
 This package contains audiofile plugins for aRts.
 .
 This package is part of Trinity, as a component of the TDE multimedia module.
 See the 'tde-trinity' and 'tdemultimedia-trinity' packages for more information.

Package: libarts1-mpeglib-trinity
Section: libs
Architecture: any
Replaces: libarts1-mpeglib-trinity (<< 4:14.0.0~)
Breaks: libarts1-mpeglib-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: mpeglib plugin for aRts, supporting mp3 and mpeg audio/video
 This package contains the mpeglib aRts plugin, supporting mp3 and mpeg
 audio and video.
 .
 This is the arts (TDE Sound daemon) plugin.
 .

## tdemultimedia-trinity 14.1.6~pre2

=== debian/changelog ===
tdemultimedia-trinity (4:14.1.6~pre2-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for 75ad1a0c17d4f47f3227608d974e50ece46f6cfa
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdemultimedia

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 20 Nov 2025 22:38:47 +0100

## tdemultimedia-trinity 14.1.6~pre3

=== debian/changelog ===
tdemultimedia-trinity (4:14.1.6~pre3-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for f58a4fb5e556a0f08faa5ba50b3a6fddcb1253d3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdemultimedia

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 28 Nov 2025 22:33:25 +0100

## tdemultimedia-trinity 14.1.6~pre5

=== debian/changelog ===
tdemultimedia-trinity (4:14.1.6~pre5-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 9ea06f3b40f881d4d186381ed4ec94009a6a3596
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdemultimedia

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:16:26 +0100

## tdemultimedia-trinity 14.1.6~pre9

=== debian/changelog ===
tdemultimedia-trinity (4:14.1.6~pre9-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 243f1415c9cc5ade65dc37ec17b3f127fedb7b9b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdemultimedia

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:18:00 +0100

## tdemultimedia-trinity 14.1.6~pre10

=== kscd/libwm/CMakeLists.txt ===
#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include( ConfigureChecks.cmake )

add_subdirectory( audio )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)


##### workman (library) #########################

tde_add_library( workman STATIC_PIC
  SOURCES
    cddb.c cdinfo.c cdrom.c wm_helpers.c cdtext.c
    database.c index.c scsi.c cdda.c plat_linux_cdda.c plat_sun_cdda.c
    plat_aix.c plat_bsd386.c plat_freebsd.c plat_irix.c
    plat_linux.c plat_netbsd.c plat_svr4.c plat_ultrix.c plat_news.c
    plat_openbsd.c plat_sun.c plat_scor5.c
    drv_sony.c drv_toshiba.c
  EMBED
    workmanaudio-static
  LINK
    ${ALSA_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT}
)

=== debian/changelog ===
tdemultimedia-trinity (4:14.1.6~pre10-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for ecaf71aeadb1f4de6f7cb9146e5c8e99091167d9
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdemultimedia

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 23 Jan 2026 22:34:08 +0100

## tdemultimedia-trinity 14.1.6~pre12

=== kscd/libwm/CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
   SOURCES
     cddb.c cdinfo.c cdrom.c wm_helpers.c cdtext.c
     database.c index.c scsi.c cdda.c plat_linux_cdda.c plat_sun_cdda.c
-    plat_aix.c plat_bsd386.c plat_freebsd.c plat_irix.c
+    plat_aix.c plat_bsd386.c plat_freebsd.c
     plat_linux.c plat_netbsd.c plat_svr4.c plat_ultrix.c plat_news.c
     plat_openbsd.c plat_sun.c plat_scor5.c
     drv_sony.c drv_toshiba.c

=== debian/changelog ===
tdemultimedia-trinity (4:14.1.6~pre12-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 68591b20aaa7bbd3b32488e132bab47d3b544171
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdemultimedia

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 01 Feb 2026 09:56:17 +0100

## tdemultimedia-trinity 14.2.0~pre103

=== xine_artsplugin/CMakeLists.txt ===
#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include( ConfigureChecks.cmake )

add_subdirectory( tools )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${ARTS_INCLUDE_DIRS}
  ${XINE_INCLUDE_DIRS}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${ARTS_LIBRARY_DIRS}
  ${XINE_LIBRARY_DIRS}
)


##### arts_xine (library) #######################

tde_add_library( arts_xine SHARED AUTOMOC
  SOURCES
    xinePlayObject.cpp
    xinePlayObject_impl.cpp
    audio_fifo_out.c
  VERSION 0.0.0
  LINK
    mcop kmedia2_idl soundserver_idl artsflow artsflow_idl
    ${ARTS_LIBRARIES} ${XINE_LIBRARIES} ${XEXT_LIBRARIES} X11 ${CMAKE_THREAD_LIBS_INIT}
  DESTINATION ${LIB_INSTALL_DIR}
)

add_custom_command(
  OUTPUT
    xinePlayObject.cpp xinePlayObject.h
  COMMAND ${ARTS_MCOPIDL_EXECUTABLE}
    -I${ARTS_INCLUDEDIR} ${CMAKE_CURRENT_SOURCE_DIR}/xinePlayObject.idl
  DEPENDS xinePlayObject.idl
)


##### other data ################################

install(
  FILES
    xineAudioPlayObject.mcopclass
    xineVideoPlayObject.mcopclass
  DESTINATION ${LIB_INSTALL_DIR}/mcop
)

=== doc/noatun/CMakeLists.txt ===
#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_handbook( DESTINATION noatun )

=== juk/pics/CMakeLists.txt ===
#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install(
  FILES playing.png splash.png yahoo_credit.png
  DESTINATION ${DATA_INSTALL_DIR}/juk/pics
)

=== krec/mp3_export/CMakeLists.txt ===
#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/arts/gui/common
  ${CMAKE_BINARY_DIR}/arts/midi
  ${CMAKE_BINARY_DIR}/arts/modules/common
  ${CMAKE_BINARY_DIR}/arts/modules/effects
  ${CMAKE_BINARY_DIR}/arts/modules/synth
  ${CMAKE_SOURCE_DIR}/arts/gui/kde
  ${CMAKE_SOURCE_DIR}/arts/tools
  ${CMAKE_SOURCE_DIR}/krec
  ${ARTS_INCLUDE_DIRS}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${ARTS_LIBRARY_DIRS}
)


##### libkrecexport_mp3 (module) ################

tde_add_kpart( libkrecexport_mp3 AUTOMOC
  SOURCES
    krecexport_mp3.cpp
  LINK
    DCOP-shared tdecore-shared tdeui-shared tdefx-shared tdeio-shared tdeutils-shared
    mcop kmedia2_idl soundserver_idl artsflow_idl artsmoduleseffects-shared
    krec_common-static ${LAME_LIBRARIES}
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE krec_exportmp3.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR krec-desktops
)

=== tdefile-plugins/avi/CMakeLists.txt ===
#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### tdefile_avi (module) ######################

tde_add_kpart( tdefile_avi AUTOMOC
  SOURCES
    tdefile_avi.cpp
  LINK
    DCOP-shared tdecore-shared tdeui-shared tdefx-shared tdeio-shared
    tdetexteditor-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE tdefile_avi.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR tdefile-desktops
)

=== tdefile-plugins/mp4/CMakeLists.txt ===
#################################################
#
#  (C) 2025 mio <stigma@disroot.org>
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${TAGLIB_INCLUDE_DIRS}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### tdefile_mp4 (module) ######################

tde_add_kpart( tdefile_mp4 AUTOMOC
  SOURCES
    tdefile_mp4.cpp
  LINK
    DCOP-shared tdecore-shared tdeui-shared tdefx-shared tdeio-shared
    tdetexteditor-shared ${TAGLIB_LIBRARIES}
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE tdefile_mp4.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR tdefile-desktops
)

=== kmix/pics/crystal/CMakeLists.txt ===
################################################################################
#  Copyright © 2024 Mavridis Philippe <mavridisf@gmail.com>                    #
#                                                                              #
#  This file is released under the GNU GPL version 3 or later.                 #
#  Improvements and feedback are welcome!                                      #
################################################################################

set(theme "crystal")

install(FILES audio-volume-error.png audio-volume-muted.png
              audio-volume-low.png audio-volume-medium.png
              audio-volume-high.png
        DESTINATION ${DATA_INSTALL_DIR}/kmix/pics/${theme})

=== mpeglib/lib/input/CMakeLists.txt ===
#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
  ${CDPARANOIA_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### mpeg_input (library) ######################

tde_add_library( mpeg_input STATIC_PIC
  SOURCES
    inputStream.cpp fileInputStream.cpp
    inputPlugin.cpp
    cdromToc.cpp cdromRawAccess.cpp
    cdromInputStream.cpp
    bufferInputStream.cpp
    simpleRingBuffer.cpp
    cdromAccess.cpp inputDetector.cpp
    httpInputStream.cpp
    threadSafeInputStream.cpp
    cddaInputStream.cpp
    fileAccessWrapper.cpp
)


##### other data ################################

install(
  FILES
    inputStream.h fileInputStream.h
    inputPlugin.h
    cdromInputStream.h bufferInputStream.h
    inputDetector.h httpInputStream.h
    threadSafeInputStream.h cddaInputStream.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/mpeglib/input
)

=== mpeglib/lib/output/CMakeLists.txt ===
#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### mpeg_output (library) #####################

tde_add_library( mpeg_output STATIC_PIC
  SOURCES
    outPlugin.cpp outputStream.cpp
    dspX11OutputStream.cpp
    windowOut.cpp
    audioTime.cpp
    audioData.cpp audioDataArray.cpp
    avSyncer.cpp performance.cpp
    artsOutputStream.cpp
    pluginInfo.cpp yuvDumper.cpp
    threadSafeOutputStream.cpp
)


##### other data ################################

install(
  FILES
    outputStream.h pluginInfo.h
    outPlugin.h dspX11OutputStream.h
    artsOutputStream.h audioTime.h
    avSyncer.h threadSafeOutputStream.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/mpeglib/output
)

=== noatun/modules/kaiman/CMakeLists.txt ===
#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( skins )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/noatun/library
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${ARTS_LIBRARY_DIRS}
)


##### noatun_kaiman (module) ####################

tde_add_kpart( noatun_kaiman AUTOMOC
  SOURCES
    noatunui.cpp
    style.cpp
    userinterface.cpp
    pref.cpp
  LINK
    tdeio-shared noatun-shared
    mcop qtmcop kmedia2_idl soundserver_idl
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install(
  FILES
    kaiman.plugin kaimanui.rc
  DESTINATION ${DATA_INSTALL_DIR}/noatun
)

=== noatun/modules/keyz/CMakeLists.txt ===
#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/noatun/library
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${ARTS_LIBRARY_DIRS}
)


##### noatun_keyz (module) ######################

tde_add_kpart( noatun_keyz AUTOMOC
  SOURCES
    keyz.cpp
  LINK
    tdeio-shared noatun-shared
    mcop qtmcop kmedia2_idl soundserver_idl
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install( FILES keyz.plugin DESTINATION ${DATA_INSTALL_DIR}/noatun )

=== noatun/modules/simple/CMakeLists.txt ===
#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/noatun/library
  ${ARTS_INCLUDE_DIRS}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${ARTS_LIBRARY_DIRS}
)


##### noatunsimple (module) #####################

tde_add_kpart( noatunsimple AUTOMOC
  SOURCES
    propertiesdialog.ui noatunui.cpp userinterface.cpp
  LINK
    tdeio-shared noatun-shared noatuncontrols-shared
    mcop qtmcop kmedia2_idl soundserver_idl artskde-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install(
  FILES
    simple.plugin simpleui.rc
  DESTINATION ${DATA_INSTALL_DIR}/noatun
)

=== debian/changelog ===
tdemultimedia-trinity (4:14.2.0~pre103-0ubuntu25.10.0+8) questing; urgency=low

  * Automated git build for 114bd783d7006faf3d3d1928e2092fd581ea2e19
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdemultimedia

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200
